app/models.py
# app/models.py

from flask_login import UserMixin
from werkzeug.security import generate_password_hash, check_password_hash

from app import db, login_manager

class User(UserMixin, db.Model):
    """
    Create an User table
    """

    # Ensures table will be named in plural and not in singular
    # as is the name of the model
    __tablename__ = 'users'

    id = db.Column(db.Integer, primary_key=True)
    email = db.Column(db.String(60), index=True, unique=True)
    login = db.Column(db.String(20), index=True, unique=True)
    postal = db.Column(db.String(7), index=True)
    password_hash = db.Column(db.String(128))

    @property
    def password(self):
        """
        Prevent pasword from being accessed
        """
        raise AttributeError('password is not a readable attribute.')

    @password.setter
    def password(self, password):
        """
        Set password to a hashed password
        """
        self.password_hash = generate_password_hash(password)

    def verify_password(self, password):
        """
        Check if hashed password matches actual password
        """
        return check_password_hash(self.password_hash, password)
        

    def __repr__(self):
        return '<User: {}>'.format(self.username)

# Set up user_loader
@login_manager.user_loader
def load_user(user_id):
    return User.query.get(int(user_id))
    
    
    

app/__init__.py
# app/__init__.py

# third-party imports
from flask import Flask
from flask_sqlalchemy import SQLAlchemy
from flask_login import LoginManager
from flask_migrate import Migrate
from flask_bootstrap import Bootstrap

# local imports
from config import app_config

# db variable initialization
db = SQLAlchemy()
login_manager = LoginManager()

def create_app(config_name):
    app = Flask(__name__, instance_relative_config=True)
    app.config.from_object(app_config[config_name])
    app.config.from_pyfile('config.py')
    db.init_app(app)
    
    


    login_manager.init_app(app)
    login_manager.login_message = "You must be logged in to access this page."
    login_manager.login_view = "auth.login"
    
    migrate = Migrate(app, db)
    
    Bootstrap(app)

    from app import models
    
    from .admin import admin as admin_blueprint
    app.register_blueprint(admin_blueprint, url_prefix='/admin')

    from .auth import auth as auth_blueprint
    app.register_blueprint(auth_blueprint)

    from .home import home as home_blueprint
    app.register_blueprint(home_blueprint)
    
    return app

app/admin/__init__.py
# app/admin/__init__.py

from flask import Blueprint

admin = Blueprint('admin', __name__)

from . import views

app/home/__init__.py
# app/home/__init__.py

from flask import Blueprint

home = Blueprint('home', __name__)

from . import views

app/home/views.py
# app/home/views.py

from flask import render_template
from flask_login import login_required

from . import home

@home.route('/')
def homepage():
    """
    Render the homepage template on the / route
    """
    title="Sell, swap and buy fashion outfits, secondhand clothing and accessories!"
    return render_template('home/index.html', title = title)

@home.route('/sell-now')
@login_required
def sellnow():
    """
    Render the dashboard template on the /sell-now route
    """
    return render_template('home/sell-now.html', title="Sell now!")

app/templates/_macros.html
{% macro render_field2(field) %}

	{{ field.label(**{'class':'c-input--default c-input--text c-input js-field-with-hint js-ui-input-wrapper', 
	              'data-validate-while-typing':'true', 
	              'data-hint':field.description})}}
	<div class="c-input__content js-input-content">
		{{ field(**kwargs)|safe }}						
	</div>

	
{% endmacro %}}

{% macro render_field(field, placeholder='') %}

<label class="c-input--default c-input--text c-input js-field-with-hint js-ui-input-wrapper" 
		data-validate-while-typing="true" data-hint="{{ field.description}}" for="{{field.id}}">
		<div class="c-input__content js-input-content">
			<input type="text" name="{{field.name}}" id="{{field.id}}" class="c-input__value form-control" 
			placeholder="{{placeholder}}" autocomplete="{{field.id}}" 
			data-validate="required login" data-validate-while-typing="true" 
			data-hint="{{ field.description }}" data-server-validate="#">
		</div>
      <div class="c-input__validation js-hint is-hidden">
			{{ field.description }}
		</div>
</label>
{% if field.errors %}
<ul>{% for error in field.errors %}
   <li> {{error}}</li>
    {% endfor %}
</ul>
{% endif %}
{% endmacro %}

{% macro render_password_field(field, placeholder='') %}
<label class="c-input--default c-input--password c-input js-password-input js-ui-input-wrapper" for="{{field.id}}">
	<div class="c-input__content js-input-content">
		<input type="password" name="{{field.name}}" id="{{field.id}}" class="c-input__value " 
		placeholder="{{ placeholder }}" data-validate="required">
		<div class="c-input__icon js-input-icon">
			<div class="u-cursor-pointer js-password-icon">
				<div class="c-icon c-icon--medium c-icon-- js-icon">
					<svg width="24" height="24" viewBox="0 0 24 24" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
						<path d="M12,15 C5.372583,15 0,7.5 0,7.5 C0,7.5 5.372583,0 12,0 C18.627417,0 24,7.5 24,7.5 C24,7.5 18.627417,15 12,15 Z M12,10.5 C13.6568543,10.5 15,9.15685425 15,7.5 C15,5.84314575 13.6568543,4.5 12,4.5 C10.3431457,4.5 9,5.84314575 9,7.5 C9,9.15685425 10.3431457,10.5 12,10.5 Z" transform="translate(0.000000, 4.500000)" fill="#BBB" fill-rule="nonzero" stroke="none" stroke-width="1"></path>
					</svg>
				</div>
			</div>
		</div>
	</div>
</label>
{% if field.errors %}
<ul>{% for error in field.errors %}
   <li> {{error}}</li>
    {% endfor %}
</ul>
{% endif %}
{% endmacro %}

app/templates/base_dream.html
<!-- app/templates/base.html -->

<!DOCTYPE html>
<html lang="en">
<head>
    <title>Vinted.com - {{ title }} </title>
    <link href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" rel="stylesheet">
    <link href="{{ url_for('static', filename='css/style.css') }}" rel="stylesheet">
    <link rel="shortcut icon" href="{{ url_for('static', filename='img/favicon.ico') }}">
</head>
<body>
    <nav class="navbar navbar-default navbar-fixed-top topnav" role="navigation">
        <div class="container topnav">
          <div class="navbar-header">
              <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1">
                  <span class="sr-only">Toggle navigation</span>
                  <span class="icon-bar"></span>
                  <span class="icon-bar"></span>
                  <span class="icon-bar"></span>
              </button>
              <a class="navbar-brand topnav" href="{{ url_for('home.homepage') }}">Project Dream Team</a>
          </div>
          <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
              <ul class="nav navbar-nav navbar-right">
                  <li><a href="{{ url_for('home.homepage') }}">Home</a></li>
                  <li><a href="#">Register</a></li>
                  <li><a href="#">Login</a></li>
              </ul>
          </div>
        </div>
    </nav>
    <div class="wrapper">
      {% block body %}
      {% endblock %}
      <div class="push"></div>
    </div>
    <footer>
        <div class="container">
            <div class="row">
                <div class="col-lg-12">
                    <ul class="list-inline">
                        <li><a href="{{ url_for('home.homepage') }}">Home</a></li>
                        <li class="footer-menu-divider">⋅</li>
                        <li><a href="#">Register</a></li>
                        <li class="footer-menu-divider">⋅</li>
                        <li><a href="#">Login</a></li>
                    </ul>
                    <p class="copyright text-muted small">Copyright © 2016. All Rights Reserved</p>
                </div>
            </div>
        </div>
    </footer>
</body>
</html>

app/templates/home/index.html
<!-- app/templates/home/index.html -->
{% extends 'base.html' %}
{% block content %}
				<div class="landing">
					<section class="landing__cover landing__cover--main landing__cover--flexible"
						style="background-image: url({{ url_for('static', filename='img/header.jpg') }});">
						<div class="landing__cover-overlay"></div>
						<div class="landing__cover-wrapper">
							<div class="landing__cover-content u-color-white">
								<h1 class="landing__cover-title">Ready to refresh your wardrobe?</h1>
								<p class="landing__cover-subtitle">Sell and buy nice and gently used women and kids’ clothes!</p>
								<a class="button button-huge submit-button u-margin-top-x-large" href="{{ url_for('home.sellnow')}}">Sell now</a>
								<a class="u-margin-top-large u-block u-color-white link link--faded" href="#">Learn how it works</a>
							</div>
						</div>
					</section>
				</div>

						<div class="">
							<div class="subheader"></div>
						</div>
						<div class="row">
							<section id="content" class="content-container site-content__content-section">
								<div class="body-content">
									<section id="feed" class="feed is-loading">
										<div class="feed__content row js-feed-content">
											<div class="feed__item item-box__container js-feed-item" data-model-id="pick:23134100">
												<section class="item-box " data-track-event="user.click_list_item" data-track-event-params="{&quot;id&quot;:23134100,&quot;content_type&quot;:&quot;item&quot;,&quot;channel&quot;:&quot;wf_pick&quot;}">
													<figure class="item-box__media media media--item">
														<div class="media__placeholder">
															<figcaption class="media-caption">
																<div class="media-caption__header">
																	<a class="item-box__brand" href="#">Nike</a>
																</div>
																<div class="media-caption__body">
																	***MAKEUP STAIN ON LEG***
																	Other wise no other flaws
																</div>
															</figcaption>
															<a class="media__image-wrapper js-item-link" data-brand="Nike" style="background-color: #D2D9DC" href="#">
															<img alt="Striped Nike Crop Leggings" title="Striped Nike Crop Leggings" width="310" height="430" class="js-item-thumbnail item-thumbnail lazy-thumbnail __act_as_lazy" data-src="{{ url_for('static', filename='img/nike.webp') }}" data-item-id="23134100" data-item-source="wf_pick" data-marketing-content-page-id="null" data-content-type="item" data-lazyload-background="null" style="background-color: #D2D9DC" src="{{ url_for('static', filename='img/nike.webp') }}" />
															</a>
														</div>
													</figure>
													<div class="item-box__details">
														<a class="item-box__avatar circle u-float-right" href="#">
														<img width="30" height="30" data-src="{{ url_for('static', filename='img/avatar.webp') }}" class="item-box__avatar-picture circle lazy-thumbnail __act_as_lazy" src="{{ url_for('static', filename='img/avatar.webp') }}" />
														</a>
														<div class="item-box__title">
															<span>$15.00</span>
														</div>
														<div class="item-box__subtitle">
															8 / M
														</div>
													</div>
												</section>
											</div>
										</div>
										<footer class="feed__footer has-sticky-content js-feed-footer">
											<!--<div class="feed__loader js-feed-loader">
												<span class="feed__loader-label">
													<button type="button" class="feed__loader-action js-loader-button"></button>
													<div class="spinner spinner--size-16 feed__loader-spinner">
														<svg class="spinner__icon" width="16" height="16" viewBox="0 0 1024 1024" xmlns="http://www.w3.org/2000/svg">
															<path fill-opacity="1.0" d="M512 64c35.346 0 64 28.375 64 64.6v126.801c0 35.677-28.407 64.6-64 64.6-35.346 0-64-28.375-64-64.6v-126.801c0-35.677 28.407-64.6 64-64.6z"></path>
															<path fill-opacity="0.9" d="M195.64 286.15c-25.228-25.228-25.592-65.766-0.424-90.934 24.994-24.994 65.319-25.191 90.934 0.424l89.662 89.662c25.228 25.228 25.592 65.766 0.424 90.934-24.994 24.994-65.319 25.191-90.934-0.424l-89.662-89.662z"></path>
															<path fill-opacity="0.7" d="M255.4 448c35.677 0 64.6 28.407 64.6 64 0 35.346-28.375 64-64.6 64h-126.801c-35.677 0-64.6-28.407-64.6-64 0-35.346 28.375-64 64.6-64h126.801z"></path>
															<path fill-opacity="0.6" d="M285.302 648.188c25.228-25.228 65.766-25.592 90.934-0.424 24.994 24.994 25.191 65.319-0.424 90.934l-89.662 89.662c-25.228 25.228-65.766 25.592-90.934 0.424-24.994-24.994-25.191-65.319 0.424-90.934l89.662-89.662z"></path>
															<path fill-opacity="0.5" d="M448 768.6c0-35.677 28.407-64.6 64-64.6 35.346 0 64 28.375 64 64.6v126.801c0 35.677-28.407 64.6-64 64.6-35.346 0-64-28.375-64-64.6v-126.801z"></path>
															<path fill-opacity="0.4" d="M648.188 738.698c-25.228-25.228-25.592-65.766-0.424-90.934 24.994-24.994 65.319-25.191 90.934 0.424l89.662 89.662c25.228 25.228 25.592 65.766 0.424 90.934-24.994 24.994-65.319 25.191-90.934-0.424l-89.662-89.662z"></path>
															<path fill-opacity="0.3" d="M895.4 448c35.677 0 64.6 28.407 64.6 64 0 35.346-28.375 64-64.6 64h-126.801c-35.677 0-64.6-28.407-64.6-64 0-35.346 28.375-64 64.6-64h126.801z"></path>
															<path fill-opacity="0.2" d="M737.85 195.64c25.228-25.228 65.766-25.592 90.934-0.424 24.994 24.994 25.191 65.319-0.424 90.934l-89.662 89.662c-25.228 25.228-65.766 25.592-90.934 0.424-24.994-24.994-25.191-65.319 0.424-90.934l89.662-89.662z"></path>
														</svg>
													</div>
												</span>
											</div>-->
										</footer>
									</section>
								</div>
							</section>
							<aside id="sidebar" class="sidebar-container ">
								<div class="box box--welcome">
									<h3 class="box__title center">JOIN US FREE</h3>
									<div class="box__content center">
										<p class="box__description">Have a big wardrobe in a small closet for much less!</p>
										<p class="center attached">
											<a class="button welcome-button u-margin-top-large" rel="nofollow" href="#">Sign up</a>
										</p>
									</div>
								</div>
								<div class="box box--ad">
									<!-- position: Right 2 -->
									<div id="div-gpt-ad-4-4">
									</div>
								</div>
								<div class="box box--ad">
									<!-- position: Right 1 -->
									<div id="div-gpt-ad-2-5">
									</div>
								</div>
								<div class="copyright">
									<div class="copyright__content">
										<ul class="nav nav-footer">
											<li class="nav-item"><a class="nav-link" href="#">About</a></li>
										</ul>
									</div>
								</div>
							</aside>
						</div>
						<div class="ad-right">
							<!-- position: Very Right -->
							<div id="div-gpt-ad-5-3">
							</div>
						</div>

{% endblock %}

app/templates/home/index_dream.html
<!-- app/templates/home/index.html -->

{% extends "base.html" %}
{% block title %}Home{% endblock %}
{% block body %}
<div class="intro-header">
    <div class="container">
        <div class="row">
            <div class="col-lg-12">
                <div class="intro-message">
                    <h1>Project Dream Team</h1>
                    <h3>The best company in the world!</h3>
                    <hr class="intro-divider">
                    </ul>
                </div>
            </div>
        </div>
    </div>
</div>
{% endblock %}